org.jbpm.workflow.instance.impl

## Class NodeInstanceResolverFactory

- java.lang.Object
- - org.mvel2.integration.impl.ImmutableDefaultFactory
  - - org.jbpm.workflow.instance.impl.NodeInstanceResolverFactory

- All Implemented Interfaces:
    Serializable, org.mvel2.integration.VariableResolverFactory

      public class NodeInstanceResolverFactory
      extends org.mvel2.integration.impl.ImmutableDefaultFactory

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInstanceResolverFactory(NodeInstance nodeInstance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.mvel2.integration.VariableResolver` | `getVariableResolver(String name)`
    `boolean` | `isResolveable(String name)`

    - ### Methods inherited from class org.mvel2.integration.impl.ImmutableDefaultFactory

      `createIndexedVariable, createIndexedVariable, createVariable, createVariable, getIndexedVariableResolver, getKnownVariables, getNextFactory, isIndexedFactory, isTarget, setIndexedVariableResolver, setNextFactory, setTiltFlag, tiltFlag, variableIndexOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeInstanceResolverFactory

          public NodeInstanceResolverFactory(NodeInstance nodeInstance)

  - ### Method Detail

    - #### isResolveable

          public boolean isResolveable(String name)

      Specified by:
        `isResolveable` in interface `org.mvel2.integration.VariableResolverFactory`
      Overrides:
        `isResolveable` in class `org.mvel2.integration.impl.ImmutableDefaultFactory`

    - #### getVariableResolver

          public org.mvel2.integration.VariableResolver getVariableResolver(String name)

      Specified by:
        `getVariableResolver` in interface `org.mvel2.integration.VariableResolverFactory`
      Overrides:
        `getVariableResolver` in class `org.mvel2.integration.impl.ImmutableDefaultFactory`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.